<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Name
$themename ="Tiger";


//Theme Shortname
$shortname = "tiger";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


// Options: number of posts to show on blog page
$blog_number_posts = array("2","4","6","8","10");


/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array();


/* Option Page 1 - General Settings */	
$options[] = array( "name" => __('General Settings / Общие настройки','framework_localize'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('Логотип','framework_localize'),
			"desc" => __('Загрузите логотип для своего сайта.','framework_localize'),
			"id" => $shortname."_sitelogo",
			"std" => "",
			"type" => "upload");
			
			
$options[] = array( "name" => __('Описание','framework_localize'),
			"desc" => __('Использовать описание блога для подзаголовка в шапке?','framework_localize'),
			"id" => $shortname."_strapline",
			"std" => "true",
			"type" => "checkbox");
			
			
$options[] = array( "name" => __('Миниатюры','framework_localize'),
			"desc" => __('Включить миниатюры в блоге и на главной?','framework_localize'),
			"id" => $shortname."_thumbs_blog",
			"std" => "true",
			"type" => "checkbox");


$options[] = array( "name" => __('Хлебные крошки','framework_localize'),
			"desc" => __('Показывать хлебные крошки?','framework_localize'),
			"id" => $shortname."_breadcrumbs",
			"std" => "true",
			"type" => "checkbox");
			
			
$options[] = array( "name" => __('Favicon','framework_localize'),
			"desc" => __('Загрузите изображение 16px x 16px, которое будет использоваться в качестве favicon (картинки в адресной строке).<br /><br /><em>Чтобы обеспечить совместимость со всеми браузерами, мы рекомендуем загружать изображение в формате .ico. (<a href="http://www.favicon.cc/">www.favicon.cc</a>)</em>','framework_localize'),
			"id" => $shortname."_favicon",
			"std" => "",
			"type" => "upload");
			
									   
$options[] = array( "name" => __('Код сбора статистики','framework_localize'),
			"desc" => __('Вставьте здесь код Google Analytics (или любой другой) для сбора статистики посещений.','framework_localize'),
			"id" => $shortname."_google_analytics",
			"std" => "",
			"type" => "textarea");


/* Option Page 2 - Blog */
$options[] = array( "name" => __('Blog Options / Настройки блога','framework_localize'),
			"type" => "heading");
			

$options[] = array( "name" => __('Количество записей для показа на странице Блог','framework_localize'),
			"desc" => __('','framework_localize'),
			"id" => $shortname."_number_posts",
			"std" => "1",
			"type" => "select",
			"options" => $blog_number_posts);


/* Option Page 3 - Social */
$options[] = array( "name" => __('Social Networks / Социальные сети','framework_localize'),
			"type" => "heading");
			

$options[] = array( "name" => __('Twitter','framework_localize'),
			"desc" => "Адрес вашего профиля Twitter",
			"id" => $shortname."_twitter",
			"std" => "",
			"type" => "text");


$options[] = array( "name" => __('Facebook','framework_localize'),
			"desc" => "Адрес вашего профиля Facebook",
			"id" => $shortname."_facebook",
			"std" => "",
			"type" => "text");
			

$options[] = array( "name" => __('Linkedin','framework_localize'),
			"desc" => "Адрес вашего профиля Linkedin",
			"id" => $shortname."_linkedin",
			"std" => "",
			"type" => "text");
				

$options[] = array( "name" => __('Youtube','framework_localize'),
			"desc" => "Адрес вашего профиля Youtube",
			"id" => $shortname."_youtube",
			"std" => "",
			"type" => "text");		
			
			
$options[] = array( "name" => __('RSS','framework_localize'),
			"desc" => "Адрес вашей RSS-ленты",
			"id" => $shortname."_rss",
			"std" => "",
			"type" => "text");							
					


update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>